Bug 861325 - [US2105][fork] Incorrect status returned from CLI for cron-1.4 cartridge
[US2105][fork] Incorrect status returned from CLI for cron-1.4 cartridge
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 03:35 EDT by Jianwei Hou
Modified: 2015-05-14 19:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2012-09-28 03:35:46 EDT
Description of problem:
Embed app with cron-1.4, CLI shows "Cron is either stopped or inaccessible" when cron scheduling service is running

Version-Release number of selected component (if applicable):
On fork_ami_US2105_178

How reproducible:
Always

Steps to Reproduce:
1. Create an app and embed cron
2. Schedule some cron jobs for app 
eg: 
hjw@my php1$ cat .openshift/cron/minutely/date.sh 
#! /bin/bash

date >> $OPENSHIFT_REPO_DIR/date.txt

3. Make sure cron schedule is enabled
ssh into app, tail -f $OPENSHIFT_REPO_DIR/date.txt
[php1-fk178.dev.rhcloud.com ~]\> tail -f $OPENSHIFT_REPO_DIR/date.txt
Fri Sep 28 03:13:02 EDT 2012
Fri Sep 28 03:14:02 EDT 2012
Fri Sep 28 03:15:02 EDT 2012
Fri Sep 28 03:16:02 EDT 2012
Fri Sep 28 03:17:02 EDT 2012
Fri Sep 28 03:18:02 EDT 2012
Fri Sep 28 03:19:01 EDT 2012
Fri Sep 28 03:20:02 EDT 2012
Fri Sep 28 03:21:01 EDT 2012
Fri Sep 28 03:22:02 EDT 2012

4. Check cron status from CLI:
  
Actual results:
hjw@my ot$ rhc app cartridge status -a perl1 -c cron-1.4
Password: ***


RESULT:
Cron is either stopped or inaccessible

cron is running, but message returned from CLI is wrong.


Expected results:
Should show "cron scheduling service is enabled"

Additional info:
Didn't reproduce on devenv_2248
Comment 1 Dan Mace 2012-09-28 14:23:49 EDT
Fixed in latest fork AMI.
Comment 2 Jianwei Hou 2012-09-28 23:08:01 EDT
Verified on fork_ami_US2105_189

Steps:
1. Create an app and embed app with cron-1.4
2. Schedule some cron jobs for app 
hjw@my perl1$ cat .openshift/cron/minutely/date.sh 
#! /bin/bash

date >> $OPENSHIFT_REPO_DIR/date.txt
3. Make sure cron schedule is enabled
ssh into app, tail -f $OPENSHIFT_REPO_DIR/date.txt
[perl1-fk189.dev.rhcloud.com ~]\> tail -f $OPENSHIFT_REPO_DIR/date.txt
Fri Sep 28 22:57:02 EDT 2012
Fri Sep 28 22:58:01 EDT 2012

4. Check cron status from CLI:
hjw@my ot$ rhc app cartridge status -a perl1 -c cron-1.4
Password: ***


RESULT:
cron scheduling service is enabled

Note You need to log in before you can comment on or make changes to this bug.